UHCI(4)

NAME
uhci - UHCI USB Host Controller driver

SYNOPSIS
device uhci

DESCRIPTION
The uhci driver provides support for UHCI-type PCI based USB controllers.

HARDWARE
The uhci driver supports all UHCI v1.1 compliant controllers including:

•   Intel 82371AB/EB (PIIX4)
•   Intel 82371SB (PIIX3)
•   VIA 83C572

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

hw.usb.uhci.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

SEE ALSO
ehci(4), ohci(4), xhci(4)

HISTORY
The uhci device driver first appeared in FreeBSD 3.0.

AUTHORS
The uhci driver was written by Lennart Augustsson <augustss@carlstedt.se> for the NetBSD project.